summaryrefslogtreecommitdiffstats
path: root/deployment/deploy-jnlp-webstarttest-filter.sh
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2010-11-09 03:05:17 +0100
committerSven Gothel <[email protected]>2010-11-09 03:05:17 +0100
commitb3e89bfa55389cae974c94afba6fb4ce118f75df (patch)
tree063f7d59cee39e3beeec7c17c74d10497d0fa8a5 /deployment/deploy-jnlp-webstarttest-filter.sh
Provide deployment (jnlp) and hudson build aggregation scripts
Diffstat (limited to 'deployment/deploy-jnlp-webstarttest-filter.sh')
-rwxr-xr-xdeployment/deploy-jnlp-webstarttest-filter.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/deployment/deploy-jnlp-webstarttest-filter.sh b/deployment/deploy-jnlp-webstarttest-filter.sh
new file mode 100755
index 0000000..77eda44
--- /dev/null
+++ b/deployment/deploy-jnlp-webstarttest-filter.sh
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+wsdir=$1
+shift
+
+if [ -z "$wsdir" ] ; then
+ echo usage $0 webstartdir
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+cd $wsdir
+
+rm -rf orig-jnlp
+mkdir orig-jnlp
+
+for i in *.jnlp ; do
+ mv $i orig-jnlp
+ sed -e 's/<security>//g' -e 's/<\/security>//g' -e 's/<all-permissions\/>//g' orig-jnlp/$i > $i
+done
+